- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
flat
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Move and Reorder array content

Flatten the input to a single dimension. More...

## Functions
AFAPI array | flat (const array &in)
AFAPI af_err | af_flat (af_array *out, const af_array in)

## Detailed Description

Flatten the input to a single dimension.

Simply returns the array as a vector. This is a noop.

## Function Documentation

AFAPI af_err af_flat | ( | af_array * | out,
|  | const af_array | in
| ) |  |

Parameters

  [out] | out | is the flat array
  [in] | in | is the input array

AFAPI array af::flat | ( | const array & | in | ) |

Parameters

  [in] | in | is the input array

Returns
  the flat array